gr::gsm::immediate_assignment Class Reference

`#include <extract_immediate_assignment_impl.h>`

## Public Member Functions

| immediate_assignment ()
| ~immediate_assignment ()

## Public Attributes

uint32_t | arfcn_id
uint32_t | frame_nr
std::string | channel_type
uint8_t | timeslot
uint8_t | subchannel
uint8_t | tseq
uint8_t | hopping
uint8_t | maio
uint8_t | hsn
uint16_t | arfcn
uint8_t | timing_advance
std::string | mobile_allocation

## Constructor & Destructor Documentation

## immediate_assignment()

gr::gsm::immediate_assignment::immediate_assignment | ( |  | ) |

inline

References arfcn, arfcn_id, channel_type, frame_nr, hopping, hsn, maio, mobile_allocation, subchannel, timeslot, timing_advance, and tseq.

## ~immediate_assignment()

gr::gsm::immediate_assignment::~immediate_assignment | ( |  | ) |

inline

## Member Data Documentation

## arfcn

uint16_t gr::gsm::immediate_assignment::arfcn

Referenced by immediate_assignment().

## arfcn_id

uint32_t gr::gsm::immediate_assignment::arfcn_id

Referenced by immediate_assignment().

## channel_type

std::string gr::gsm::immediate_assignment::channel_type

Referenced by immediate_assignment().

## frame_nr

uint32_t gr::gsm::immediate_assignment::frame_nr

Referenced by immediate_assignment().

## hopping

uint8_t gr::gsm::immediate_assignment::hopping

Referenced by immediate_assignment().

## hsn

uint8_t gr::gsm::immediate_assignment::hsn

Referenced by immediate_assignment().

## maio

uint8_t gr::gsm::immediate_assignment::maio

Referenced by immediate_assignment().

## mobile_allocation

std::string gr::gsm::immediate_assignment::mobile_allocation

Referenced by immediate_assignment().

## subchannel

uint8_t gr::gsm::immediate_assignment::subchannel

Referenced by immediate_assignment().

## timeslot

uint8_t gr::gsm::immediate_assignment::timeslot

Referenced by immediate_assignment().

## timing_advance

uint8_t gr::gsm::immediate_assignment::timing_advance

Referenced by immediate_assignment().

## tseq

uint8_t gr::gsm::immediate_assignment::tseq

Referenced by immediate_assignment().

The documentation for this class was generated from the following file:

- extract_immediate_assignment_impl.h